Skip to main content
POST
/
v2
/
identities
Create an identity
curl --request POST \
  --url https://api.orq.ai/v2/identities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>",
  "display_name": "<string>",
  "email": "<string>",
  "avatar_url": "<string>",
  "tags": [
    "<string>"
  ],
  "metadata": {}
}
'
{
  "identity": {
    "_id": "<string>",
    "external_id": "<string>",
    "workspace_id": "<string>",
    "display_name": "<string>",
    "email": "<string>",
    "avatar_url": "<string>",
    "tags": [
      "<string>"
    ],
    "metadata": {},
    "created": "<string>",
    "updated": "<string>",
    "metrics": {
      "total_tokens": 123,
      "total_cost": 123,
      "total_requests": 123,
      "error_rate": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orq.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
external_id
string
display_name
string
email
string
avatar_url
string
tags
string[]
metadata
object

Response

200 - application/json

OK

identity
object